package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;


/**
  * @ClassName: BusiTransfromerSubTree
  * @FullClassPath: com.huatek.busi.entity.BusiTransfromerSubTree
  * @Description: 变压器外挂设备节点树
  * @author: Arno
  * @date: Jun 21, 2019 10:11:17 AM
  * @version: 1.0
  */
@TableName("busi_transformer_sub_tree")
public class BusiTransfromerSubTree extends Pojo implements Serializable {


	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 4105299534346449694L;


	/** @Fields id : */ 
	@FieldName("id")
	@Id(value = "id")
	private String id; 
	
	
	/** @Fields parentId : 父类别 id*/ 
	@FieldName("parent_id")
	private String parentId; 
	
	
	/** @Fields name : 名称*/ 
	@FieldName("name")
	private String name;

	/** @Fields status :类别状态 1-正常 ， 2-删除*/ 
	@FieldName("status")
	private String status;

	/** @Fields siteId : 变压器设备id*/ 
	@FieldName("equipment_id")
	private String equipmentId;

	/** @Fields equipmentType : 设备类型  0：主设备
								 01：油色谱类型   02：局放类型  03：铁芯装置类型  
								 04：红外本体类型  05：图片数据类型   06：容性设备类型 
								 07：气象装置类型  08：夹件装置类型
								 011：油色谱设备   021：局放设备  031：铁芯装置设备  
								 041：红外本体设备  051：图片数据设备   061：容性设备 
								 071：气象装置设备  081：夹件装置设备
	 *  */ 
	@FieldName("equipment_type")
	private String equipmentType;


	/** @Fields idsystemCode :系统编码 */ 
	@FieldName("system_code")
	private String systemCode;
	
	/** @Fields siteId : 站点id*/ 
	@FieldName("site_id")
	private String siteId;

	
    /** @Fields createTime :创建时间 */ 
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	

	public String getEquipmentId() {
		return equipmentId;
	}

	public void setEquipmentId(String equipmentId) {
		this.equipmentId = equipmentId;
	}

	public String getEquipmentType() {
		return equipmentType;
	}

	public void setEquipmentType(String equipmentType) {
		this.equipmentType = equipmentType;
	}


	public String getSystemCode() {
		return systemCode;
	}

	public void setSystemCode(String systemCode) {
		this.systemCode = systemCode;
	}

	
	public LocalDateTime getCreateTime() {
		return createTime;
	}

	public void setCreateTime(LocalDateTime createTime) {
		this.createTime = createTime;
	}
	
	

	public String getSiteId() {
		return siteId;
	}

	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	@Override
	public String toString() {
		return "BusiTransfromerSubTree [id=" + id + ", parentId=" + parentId + ", name=" + name + ", status=" + status
				+ ", equipmentId=" + equipmentId + ", equipmentType=" + equipmentType + ", systemCode=" + systemCode
				+ ", siteId=" + siteId + ", createTime=" + createTime + "]";
	}

}